import React, { ReactChild, ReactNode } from "react";
import { ColumnsType } from "antd/lib/table";
import { ButtonProps } from "antd/lib/button";
export interface ITableExportFields {
    [dataIndex: string]: string | {
        header: string;
        formatter?: (fieldValue: any, record: any, index: number) => string;
    };
}
export interface IExportFieldButtonProps {
    /** Ant table's dataSource */
    dataSource?: any[];
    /** Ant table's columns */
    columns?: ColumnsType<any>;
    /** File name to use when exporting to csv */
    fileName?: string;
    /** Customize csv file like column header names, fields to include/exclude. More on this below. */
    fields?: ITableExportFields;
    /** Disables export button. Useful when you want to disable when dataSource is loading. */
    disabled?: boolean;
    /** Any of Ant Button component props as object. */
    btnProps?: ButtonProps;
    /** Can be used to change text in button. */
    children?: ReactChild | ReactNode;
    /** Shows a modal to pick which columns to include exported file. */
    showColumnPicker?: boolean;
}
export declare const ExportTableButton: React.FC<IExportFieldButtonProps>;
export default ExportTableButton;
