import React from "react";
import Fuse from "fuse.js";
import { InputProps } from "antd/lib/input";
export interface ISearchTableInputProps {
    /** Custom function to search if you want to use your own search.
     *  Takes dataSource and searchTerm and should return filtered dataSource.
     */
    searchFunction?: (dataSource: any[], searchTerm: string) => any[];
    /** Ant table's dataSource. */
    dataSource?: any[];
    /** `setState` style function which updates dataSource. */
    setDataSource?: (dataSource: any[]) => void;
    /** Debounces search  */
    debounce?: boolean;
    /** Any of Ant Input component's props as object. */
    inputProps?: InputProps;
    /** Allow fuzzy search or search for exact search term. */
    fuzzySearch?: boolean;
    /** Uses Fuse.js for search. Pass any of fuse.js options here as object. */
    fuseProps?: Fuse.IFuseOptions<any>;
}
export declare const SearchTableInput: React.FC<ISearchTableInputProps>;
export default SearchTableInput;
