import React from "react";
import { TableProps } from "antd/lib/table";
import { IExportFieldButtonProps } from "./ExportTableButton";
import { ISearchTableInputProps } from "./SearchTableInput";
export * from "./ExportTableButton";
export * from "./SearchTableInput";
export declare type IExportableTableProps = TableProps<any> & IExportFieldButtonProps;
export declare type ITableUtils = {
    /** Exportable Table */
    exportable?: boolean;
    /** Props object to customize export button */
    exportableProps?: IExportFieldButtonProps;
    /** Searchable Table */
    searchable?: boolean;
    /** Props object to customize export button */
    searchableProps?: ISearchTableInputProps;
};
export declare type ITableProps<T> = TableProps<T> & ITableUtils;
export declare const Table: React.FC<ITableProps<any>>;
